import { Route } from '@angular/router';
import { OrganisationseinheitPageComponent } from '../pages/organisationseinheit/organisationseinheit-page/organisationseinheit-page.component';
import { PostfachPageComponent } from '../pages/postfach/postfach-page/postfach-page.component';

export const appRoutes: Route[] = [
  {
    path: '',
    redirectTo: 'postfach',
    pathMatch: 'full',
  },
  {
    path: 'postfach',
    component: PostfachPageComponent,
    title: 'Admin | Postfach',
  },
  {
    path: 'organisationseinheiten',
    component: OrganisationseinheitPageComponent,
    title: 'Admin | Organisationseinheiten',
  },
];
