import { type Meta, type StoryObj } from '@storybook/angular';
import { SearchFieldComponent } from './search-field.component';

const meta: Meta<SearchFieldComponent> = {
  title: 'Instant search/Search field',
  component: SearchFieldComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<SearchFieldComponent>;

export const Default: Story = {
  args: {
    label: '',
    placeholder: 'search something...',
  },
};
