package de.ozgcloud.alfa.common.command;

import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

public class RequiredOrderValidator implements ConstraintValidator<RequiredOrder, CreateCommand> {

	private CommandOrder order;

	@Override
	public void initialize(RequiredOrder constraintAnnotation) {
		this.order = constraintAnnotation.value();
	}

	@Override
	public boolean isValid(CreateCommand command, ConstraintValidatorContext constraintValidatorContext) {
		return command.getCommandOrder() == order;
	}
}
