package de.ozgcloud.alfa.historie;

import de.ozgcloud.alfa.common.command.Command;
import de.ozgcloud.alfa.common.command.CommandTestFactory;
import de.ozgcloud.alfa.historie.CommandWithPrevious.CommandWithPreviousBuilder;

public class CommandWithPreviousTestFactory {

	public static final Command COMMAND = CommandTestFactory.create();
	public static final Command PREVIOUS_COMMAND = CommandTestFactory.create();

	public static CommandWithPrevious create() {
		return createBuilder().build();
	}

	public static CommandWithPreviousBuilder createBuilder() {
		return new CommandWithPreviousBuilder()
				.command(COMMAND)
				.previous(PREVIOUS_COMMAND);
	}
}
