package de.ozgcloud.alfa.postfach;

import de.ozgcloud.nachrichten.postfach.GrpcPostfach;

public class GrpcPostfachTestFactory {

	public static final String TYPE = "OSI";
	public static final boolean REPLY_ALLOWED = true;

	public static GrpcPostfach create() {
		return createBuilder().build();
	}

	public static GrpcPostfach.Builder createBuilder() {
		return GrpcPostfach.newBuilder()
				.setType(TYPE)
				.setReplyAllowed(REPLY_ALLOWED);
	}
}
