import { Component, OnInit } from '@angular/core';
import { AuthenticationService } from 'libs/authentication/src/lib/authentication.service';

@Component({
  selector: 'user-profile-button-container',
  templateUrl: './user-profile-button-container.component.html',
  styleUrls: ['./user-profile-button-container.component.scss'],
})
export class UserProfileButtonContainerComponent implements OnInit {
  public currentUserInitials: string;

  constructor(public authenticationService: AuthenticationService) {}

  ngOnInit(): void {
    this.currentUserInitials = this.authenticationService.getCurrentUserInitials();
  }

  public showDropDown(): void {
    document.getElementById('myDropdown').classList.toggle('show');
  }
}
