export class VorgangBescheideE2EComponent {
  private readonly bescheidContainer: string = 'bescheid-container-in-vorgang';
  private readonly bescheidExpansionPanel: string = 'bescheid-expansion-panel';
  private readonly beschiedenDate: string = 'beschieden-date';
  private readonly bewilligtIcon: string = 'bewilligt-icon';
  private readonly abgelehntIcon: string = 'abgelehnt-icon';
  private readonly bescheidListItem: string = 'vorgang-list-item-bescheid-status';

  private readonly fileBescheidValid: string = 'Bescheid_validpdf-file-item';
  private readonly fileAnhangValid: string = 'Anhang_validpdf-file-item';

  public getElementFromFileName(filename: string) {
    return filename.replace(/\./g, '') + '-file-item';
  }

  public getBescheidContainer() {
    return cy.getTestElement(this.bescheidContainer);
  }
  public getBescheidExpansionPanel() {
    return cy.getTestElement(this.bescheidExpansionPanel).find(`[role="button"]`);
  }

  public getBeschiedenDateInHeader() {
    return cy.getTestElement(this.beschiedenDate);
  }

  public getBewilligtIconInHeader() {
    return cy.getTestElement(this.bewilligtIcon);
  }

  public getAbgelehntIconInHeader() {
    return cy.getTestElement(this.abgelehntIcon);
  }

  public getBescheidListItem() {
    return cy.getTestElement(this.bescheidListItem);
  }

  public getFileBescheidValidInVorgang() {
    return cy.getTestElement(this.fileBescheidValid);
  }

  public getFileAnhangValidInVorgang() {
    return cy.getTestElement(this.fileAnhangValid);
  }
}
