import { faker } from '@faker-js/faker';
import { Resource } from '@ngxp/rest';
import { InstantSearchResult } from '../lib/instant-search/instant-search/instant-search.model';

export function createInstantSearchResult<T extends Resource>(data?: T): InstantSearchResult<T> {
  return { title: faker.random.word(), description: faker.random.words(3), data };
}
