/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { BackButtonComponent } from '@alfa-client/ui';
import { MockComponent } from 'ng-mocks';
import { ErledigenButtonContainerComponent } from '../../../erledigen-button-container/erledigen-button-container.component';
import { SubmitWiedervorlageButtonComponent } from '../../../submit-wiedervorlage-button/submit-wiedervorlage-button.component';
import { WiedereroeffnenButtonContainerComponent } from '../../../wiedereroeffnen-button-container/wiedereroeffnen-button-container.component';
import { WiedervorlageActionButtonsComponent } from './wiedervorlage-action-buttons.component';

describe('WiedervorlageActionButtonsComponent', () => {
  let component: WiedervorlageActionButtonsComponent;
  let fixture: ComponentFixture<WiedervorlageActionButtonsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        WiedervorlageActionButtonsComponent,
        MatIcon,
        MockComponent(BackButtonComponent),
        MockComponent(SubmitWiedervorlageButtonComponent),
        MockComponent(ErledigenButtonContainerComponent),
        MockComponent(WiedereroeffnenButtonContainerComponent),
      ],
    });
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(WiedervorlageActionButtonsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
