package de.ozgcloud.alfa.postfach;

import java.util.Map;

import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
public class PostfachAddress {

	public static final String VERSION_FIELD = "version";
	public static final String TYPE_FIELD = "type";

	public static final String IDENTIFIER_FIELD = "identifier";
	public static final String IDENTIFIER_POSTFACH_ID_FIELD = "postfachId";

	private String version;
	private int type;
	private Map<String, Object> identifier;
}